Openai V1 Responses
curl --request POST \
--url https://api.acedata.cloud/openai/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4o-mini",
"input": [
{
"role": "user",
"content": "A cute cat playing piano"
}
]
}
'import requests
url = "https://api.acedata.cloud/openai/responses"
payload = {
"model": "gpt-4o-mini",
"input": [
{
"role": "user",
"content": "A cute cat playing piano"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-4o-mini',
input: [{role: 'user', content: 'A cute cat playing piano'}]
})
};
fetch('https://api.acedata.cloud/openai/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "resp_123",
"object": "response",
"created_at": 1700000000,
"status": "completed",
"model": "gpt-5.6-luna",
"output": [
{
"id": "msg_123",
"type": "message",
"role": "assistant",
"status": "completed",
"content": [
{
"type": "output_text",
"text": "Done.",
"annotations": []
}
]
}
],
"usage": {
"input_tokens": 12,
"output_tokens": 3,
"total_tokens": 15
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Openai V1 Responses
POST
/
openai
/
responses
Openai V1 Responses
curl --request POST \
--url https://api.acedata.cloud/openai/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4o-mini",
"input": [
{
"role": "user",
"content": "A cute cat playing piano"
}
]
}
'import requests
url = "https://api.acedata.cloud/openai/responses"
payload = {
"model": "gpt-4o-mini",
"input": [
{
"role": "user",
"content": "A cute cat playing piano"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-4o-mini',
input: [{role: 'user', content: 'A cute cat playing piano'}]
})
};
fetch('https://api.acedata.cloud/openai/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "resp_123",
"object": "response",
"created_at": 1700000000,
"status": "completed",
"model": "gpt-5.6-luna",
"output": [
{
"id": "msg_123",
"type": "message",
"role": "assistant",
"status": "completed",
"content": [
{
"type": "output_text",
"text": "Done.",
"annotations": []
}
]
}
],
"usage": {
"input_tokens": 12,
"output_tokens": 3,
"total_tokens": 15
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorizações
API token from https://platform.acedata.cloud
Cabeçalhos
Openai Responses Param Accept
Opções disponíveis:
application/json, text/event-stream Corpo
application/json
Openai Responses Model
Opções disponíveis:
gpt-6-astra, gpt-5.6-luna, gpt-5.6-terra, gpt-5.6-sol, gpt-5.5, gpt-5.5-pro, gpt-5.4, gpt-5.4-mini, gpt-5.4-nano, gpt-5.4-pro, gpt-5.1, gpt-5.1-all, gpt-5, gpt-5-mini, gpt-5-nano, gpt-4, gpt-4-all, gpt-4-turbo, gpt-4-turbo-preview, gpt-4-vision-preview, gpt-4.1, gpt-4.1-2025-04-14, gpt-4.1-mini, gpt-4.1-mini-2025-04-14, gpt-4.1-nano, gpt-4.1-nano-2025-04-14, gpt-4.5-preview, gpt-4.5-preview-2025-02-27, gpt-4o, gpt-4o-2024-05-13, gpt-4o-2024-08-06, gpt-4o-2024-11-20, gpt-4o-all, gpt-4o-image, gpt-4o-mini, gpt-4o-mini-2024-07-18, gpt-4o-mini-search-preview, gpt-4o-mini-search-preview-2025-03-11, gpt-4o-search-preview, gpt-4o-search-preview-2025-03-11, gpt-35-turbo-16k, o1, o1-2024-12-17, o1-all, o1-mini, o1-mini-2024-09-12, o1-mini-all, o1-preview, o1-preview-2024-09-12, o1-preview-all, o1-pro, o1-pro-2025-03-19, o1-pro-all, o3, o3-2025-04-16, o3-all, o3-mini, o3-mini-2025-01-31, o3-mini-2025-01-31-high, o3-mini-2025-01-31-low, o3-mini-2025-01-31-medium, o3-mini-all, o3-mini-high, o3-mini-high-all, o3-mini-low, o3-mini-medium, o3-pro, o3-pro-2025-06-10, o4-mini, o4-mini-2025-04-16, o4-mini-all, o4-mini-high-all Exemplo:
"gpt-4o-mini"
Openai Responses Input 2
Exemplo:
[
{
"type": "message",
"role": "user",
"content": "Inspect the workspace."
},
{
"type": "custom_tool_call",
"call_id": "call_123",
"namespace": "workspace",
"name": "exec",
"input": "read package.json"
},
{
"type": "custom_tool_call_output",
"call_id": "call_123",
"output": "package contents"
}
]
Openai Responses N
Intervalo necessário:
1 <= x <= 128Exemplo:
1
Openai Responses Background
Openai Responses Stream
Openai Responses Tools
Minimum array length:
1- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Openai Responses Max Tokens
Openai Responses Temperature
Intervalo necessário:
0 <= x <= 2Exemplo:
1
Openai Responses Response Format
Show child attributes
Show child attributes
Openapi.Ed972A38Ecef4Fcbaf33750De42D25Dc.Tool Choice.C7B5D99A6584
Opções disponíveis:
none, auto, required Intervalo necessário:
x >= 1Resposta
Openai Responses Response 200 2
Opções disponíveis:
response Opções disponíveis:
completed, failed, in_progress, incomplete, queued, cancelled - Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Esta página foi útil?

